Package org.iirds.dita.ot.plugin

# Class Configuration

java.lang.Object
org.iirds.dita.ot.plugin.Configuration

public class Configuration extends Object
The configuration context of the iiRDS processing in the DITA-OT

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static org.slf4j.Logger`
  `logger`
  `(package private) static final String`
  `PARAM_CONTENTPATH`
  `(package private) static final String`
  `PARAM_IRIHANDLERS`
  `(package private) static final String`
  `PARAM_METADATAHANDLERS`
  `(package private) static final String`
  `PARAM_OUTEXT`
  `(package private) static final String`
  `PARAM_TRANSTYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `configureByInput(org.dita.dost.pipeline.AbstractPipelineInput input)`
  `(package private) void`
  `configureIRIHandlers()`
  `(package private) void`
  `configureMetadataHandlers()`
  `(package private) void`
  `configureModel()`
  `static Configuration`
  `create(org.dita.dost.util.Job job, org.dita.dost.pipeline.AbstractPipelineInput input)`
  `ContentHashBuilder`
  `getContentHashBuilder()`
  `String`
  `getContentPath()`
  `static Configuration`
  `getDefault()`
  `String`
  `getHTMLExt()`
  `IirdsMetadataHandler`
  `getIirdsMetadataHandler()`
  `IirdsModelBuilder`
  `getIirdsModelBuilder()`
  `IirdsModelSerializer`
  `getIirdsModelSerializer()`
  `org.apache.jena.rdf.model.Model`
  `getInfModel()`
  `IRIHandler`
  `getIRIHandler()`
  Get the configured IRIHandler
  `org.dita.dost.util.Job`
  `getJob()`
  `LanguageExtractor`
  `getLanguageExtractor()`
  `org.apache.jena.rdf.model.Model`
  `getModel()`
  `TitleExtractor`
  `getTitleExtractor()`
  `TopicTypeMapper`
  `getTopicTypeMapper()`
  `VocabularyFactory`
  `getVocabularyFactory()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    static org.slf4j.Logger logger

  - ### PARAM_TRANSTYPE

    static final String PARAM_TRANSTYPE
    See Also:
      - Constant Field Values

  - ### PARAM_METADATAHANDLERS

    static final String PARAM_METADATAHANDLERS
    See Also:
      - Constant Field Values

  - ### PARAM_IRIHANDLERS

    static final String PARAM_IRIHANDLERS
    See Also:
      - Constant Field Values

  - ### PARAM_OUTEXT

    static final String PARAM_OUTEXT
    See Also:
      - Constant Field Values

  - ### PARAM_CONTENTPATH

    static final String PARAM_CONTENTPATH
    See Also:
      - Constant Field Values

- ## Method Details

  - ### configureByInput

    void configureByInput(org.dita.dost.pipeline.AbstractPipelineInput input)

  - ### getContentHashBuilder

    public ContentHashBuilder getContentHashBuilder()

  - ### getDefault

    public static Configuration getDefault()

  - ### create

    public static Configuration create(org.dita.dost.util.Job job, org.dita.dost.pipeline.AbstractPipelineInput input)

  - ### configureModel

    void configureModel()

  - ### getModel

    public org.apache.jena.rdf.model.Model getModel()

  - ### getInfModel

    public org.apache.jena.rdf.model.Model getInfModel()

  - ### getVocabularyFactory

    public VocabularyFactory getVocabularyFactory()

  - ### configureMetadataHandlers

    void configureMetadataHandlers()

  - ### configureIRIHandlers

    void configureIRIHandlers()

  - ### getIirdsMetadataHandler

    public IirdsMetadataHandler getIirdsMetadataHandler()

  - ### getIRIHandler

    public IRIHandler getIRIHandler()
    Get the configured IRIHandler
    Returns:
      the IRI handler, never null

  - ### getIirdsModelSerializer

    public IirdsModelSerializer getIirdsModelSerializer()

  - ### getIirdsModelBuilder

    public IirdsModelBuilder getIirdsModelBuilder()

  - ### getTitleExtractor

    public TitleExtractor getTitleExtractor()

  - ### getLanguageExtractor

    public LanguageExtractor getLanguageExtractor()

  - ### getTopicTypeMapper

    public TopicTypeMapper getTopicTypeMapper()

  - ### getJob

    public org.dita.dost.util.Job getJob()

  - ### getContentPath

    public String getContentPath()

  - ### getHTMLExt

    public String getHTMLExt()